<script setup lang="ts">
  import { CmsBlockCenterText } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockCenterText;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);
  const slotLeftContent = getSlotContent('left');
  const slotRightContent = getSlotContent('right');
  const slotCenterContent = getSlotContent('center');
</script>
<template>
  <div class="grid content-center gap-10 md:grid-cols-3">
    <CmsGenericElement :content="slotLeftContent" />
    <CmsGenericElement :content="slotCenterContent" />
    <CmsGenericElement :content="slotRightContent" />
  </div>
</template>
